import BitBuffer from "./BitBuffer";
import { FK, Transform } from "../entity/flow";
import { Keys } from "../entity/keys";
export default class Transformer {
    static Fk(key: BitBuffer, ip: BitBuffer): [BitBuffer, FK];
    static Transform(cipher: BitBuffer, keys: Keys, decrypt: boolean): [BitBuffer, Transform];
    static Decrypt(cipher: BitBuffer, keys: Keys): [BitBuffer, Transform];
    static Encrypt(plain: BitBuffer, keys: Keys): [BitBuffer, Transform];
}
